#version 110

// This is a simple GLSL fragment shader example,
// drawing sinusoidal rainbow pattern.
// Author: Dmitri Kuvshinov.

// shader parameters

uniform sampler1D palette;
uniform float t;
uniform float pixel_units_coef;
uniform float width, height;

// shader procedure

void main(void)
{
  float tc = 0.1 * pixel_units_coef + sin(t + 19 * gl_FragCoord.x / width) + gl_FragCoord.y / height;
  gl_FragColor = texture1D(palette, 2.0 * tc);
}
