﻿История изменений
=================

## 2.x

### 2.0.0 == 2014.06.30

(version promotion: 1.2.4 > 2.0.0)

! поддержка компиляторов и IDE: Visual Studio 2012 исключена из поддерживаемых

! предполагается частичный переход на GLM для работы с векторами и матрицами

\* большее использование C++1y, множество мелких правок

\* исправлен недочёт, приводивший к низкой точности таймера (issue #1)

\* обновление используемой версии FreeGLUT до 2.8.1

\* обновление используемой версии GLEW до 1.10.0

\* обновление и пополнение документации Doxygen к Zmeika (включено в сборку)



## 1.x

### 1.2.3 == 2014.04.13

\+ AstarVis: двунаправленный аналог A* (не гарантирует оптимальность решения!)

\+ AstarVis: выводит в консоль стоимости полученных путей

\* AstarVis: значительно увеличена максимальная доступная скорость визуализации

\+ SortVis: алгоритм merge4 (восходящая + предварительная вставками)


### 1.2.2 == 2014.04.11

\+ GLSLPlasma: 3.glsl.frag основанный на [реализации](https://github.com/ashima/webgl-noise) [шума Перлина](http://en.wikipedia.org/wiki/Perlin_noise)

\+ SortVis: добавлены алгоритмы сортировки stdheap и hybheap

\+ SortVis: выводит статистику по работе алгоритмов в консоль

\* SortVis: показывает названия алгоритмов на старте и прочие мелочи


### 1.2.1 == 2014.01.31

\+ Zmeika: добавлен экран ввода имени игрока после окончания игры (раньше вводилось через консоль)

\* Zmeika: мелкий фикс: телепортация головы змеи в кролика приводила к невозможности появления новых кроликов


### 1.2.0 == 2014.01.18

\+ PencilPaleo: в качестве отдельного проекта восстановлен вариант Pencil версии 0.10.3, так как Pencil стал слишком сложным

\* GLPrimitives: нажатие +/- добавляет/удаляет вершины

\* GLPrimitives: опции сглаживания


### 1.1.0 == 2013.12.29

\+ GLPrimitives: демонстрация различных геометрических примитивов OpenGL 1.x

\* большее использование C++11


### 1.0.0 == 2013.11.16

(version promotion: 0.12.3 > 1.0.0)

! поддержка компиляторов и IDE: Visual Studio 2010 исключена из поддерживаемых, Visual Studio 2013 добавлена в поддерживаемые

! все заголовочные файлы C++ получили расширение .hpp

\* все варианты сборок с SSE2 по умолчанию

\+ Plasma: можно изменять количество потоков аналогично Pencil

\* Collision3D: интегрирование движения шариков методом Velocity Verlet


## 0.x

### 0.12.2 == 2013.08.13

\* SortVis: исправлена старая ошибка в merge2

\* SortVis: однократный вызов clearColor на массив прямоугольников за кадр, вместо старой практики вызова clearColor перед применением каждого события, в результате можно наблюдать сортировки на значительно большей скорости, чем раньше

\* множество мелких правок в разных файлах, в том числе в документации к Zmeika


### 0.12.1 == 2013.08.11 (unreleased)

\+ Pencil: третья реализация автомата: поклеточное ("cellwise") суммирование

\+ Pencil: возможность изменять количество используемых OpenMP потоков исполнения "на ходу" (кнопки [, ])

\* AstarVis: список соседей в TerrainGraph теперь является BoundedArray (см. avo/BoundedArray.hpp) вместо vector

\* множество мелких правок в разных файлах, в том числе исправление некоторых ошибок


### 0.12.0 == 2013.05.04

\+ GLUPoly: демонстрация использования GLU для триангуляции многоугольников

\+ Collision3D: добавлен механизм разведения шаров из Collision2D


### 0.11.1 == 2013.05.02

\+ Zmeika: добавлена автоматически сгенерированная документация (см. Zmeika\\html\\index.html)

\+ Zmeika: автоподгонка размеров и позиционирование окна

\* Zmeika: исправлен ряд мелких ошибок

\+ Zmeika: задание: добавить препятствия


### 0.11.0 == 2013.04.30

\+ Zmeika: простенькая игра "Змейка"

\+ GLSLPlasma: добавлен шейдер 2.glsl.frag (множество Мандельброта)

\+ GLSLPlasma: нажатие T сбрасывает время шейдера в 0

\* Collision2D: другой механизм разведения столкнувшихся шариков, больше нет эффекта "туннелирования"


### 0.10.5 == 2013.04.05

\* Pencil: исправлены некоторые ошибки; схема вычисления сумм (клеточный автомат) несколько изменена с целью уменьшения дублирующегося кода (скорость работы практически не изменилась)


### 0.10.4 == 2013.04.02

\* Pencil: переписан алгоритм игры Жизнь (оптимизация + простое распараллеливание средствами OpenMP), выполнен в двух вариантах: базовом и SSE3


### 0.10.3 == 2013.03.12

\+ SortVis: пауза по P, названия алгоритмов по T, выводит список всех поддерживаемых названий алгоритмов на старте


### 0.10.2 == 2013.03.04

\+ GLSLPlasma: цифровые клавиши переключают пиксельные шейдеры (файлы с пиксельными шейдерами имеют названия вида *d*.glsl.frag, где *d* -- цифра)

\+ SortVis: алгоритмы *merge2* и *merge3* (варианты восходящей сортировки слияниями)


### 0.10.1 == 2013.02.26

\* GLSLPlasma: шейдер приведён к спецификации GLSL 1.10 (OpenGL 2.0)

\* SortVis: сортировка вставками теперь не производит лишних присваиваний на отсортированных последовательностях


### 0.10.0 == 2013.02.25

\+ GLSLPlasma: эффект плазмы, реализованный в виде пиксельного шейдера


### 0.9.4 == 2013.02.19

\+ Задания ("TASK") в Pixels, Snow2D, Collision2D, Plasma, Pencil, SortVis


### 0.9.3 == 2013.02.07

\+ SortVis: различные генераторы последовательностей, алгоритмы *treeSort*, *treeSortBalanced*


### 0.9.2 == 2013.01.29

! общие файлы в include/source помещены в папку avo и включаются как <avo/somefile.h>

\* Pencil: добавлен вызов black\_canvas() в начале (т.к. pixels был 0 в сборке под MSVC2010 при первой перерисовке)

\* SortVis: \+GLUT\_MULTISAMPLE

\* Plasma


### 0.9.1 == 2013.01.25

Первая "полная" сборка.

# Легенда

! существенное структурное изменение

\* мелкие правки

\+ существенное дополнение

\- удаление
